/*
 * fchmod.c
 */


#include<unistd.h>
#include<sys/types.h>
#include<callgate.h>

#include<errno.h>
#include<fcntl.h>
#include<sys/stat.h>


extern int fchattr(int,int,int);


int fchmod(int fildes, mode_t mode)
{
	return fchattr(fildes,CHATTR_MODE,(int)mode);
}
